Name:		psautohint
Summary:	A standalone version of AFDKO’s autohinter
Version:	2.4.0
Release:	%mkrel 4
License:	ASL 2.0
Group:		Text tools
Url:		https://github.com/adobe-type-tools/psautohint
Source0:	https://github.com/adobe-type-tools/psautohint/releases/download/v%{version}/psautohint-%{version}.tar.gz
Patch0:		psautohint-1.8.1-linking.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)

%description
psautohint is a standalone version of the autohinter from the Adobe Font
Development Kit for OpenType (AFDKO).

%package -n python3-psautohint
Summary:	Python library for standalone version of the AFDKO autohinter
Group:		Development/Python
Provides:	%{name} = %{version}-%{release}
%{?python_provide:%python_provide python3-psautohint}

%description -n python3-psautohint
psautohint is a standalone version of the autohinter from the Adobe Font
Development Kit for OpenType (AFDKO).

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%files -n python3-psautohint -f %{pyproject_files}
%license COPYING LICENSE
%doc README.md
%{_bindir}/psautohint
%{_bindir}/psstemhist


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.4.0-4.mga10
+ Revision: 2242931
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 2.4.0-3.mga10
+ Revision: 2160423
- rebuild for python3.13

* Fri Dec 29 2023 daviddavid <daviddavid> 2.4.0-2.mga10
+ Revision: 2023535
- rebuild for py3.12

* Sun Oct 23 2022 wally <wally> 2.4.0-1.mga9
+ Revision: 1898677
- new version 2.4.0
- switch build to pyproject rpm macros

* Sat Mar 19 2022 umeabot <umeabot> 2.3.0-3.mga9
+ Revision: 1799231
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 2.3.0-2.mga9
+ Revision: 1782037
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Apr 05 2021 wally <wally> 2.3.0-1.mga9
+ Revision: 1713623
- new version 2.3.0

* Sat Jan 02 2021 wally <wally> 2.2.0-1.mga8
+ Revision: 1668208
- new version 2.2.0

* Thu Jul 23 2020 wally <wally> 2.1.0-1.mga8
+ Revision: 1608310
- new version 2.1.0

* Sun May 17 2020 wally <wally> 2.0.1-1.mga8
+ Revision: 1584958
- new version 2.0.1

* Tue Feb 18 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1541955
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 2.0.0-1.mga8
+ Revision: 1475698
- new version 2.0.0

* Wed Sep 25 2019 daviddavid <daviddavid> 1.8.1-3.mga8
+ Revision: 1445695
- add patch to fix linking issue
- rebuild for python3.8

* Wed Jan 09 2019 daviddavid <daviddavid> 1.8.1-2.mga7
+ Revision: 1353823
- rebuild for new Python 3.7

* Wed Oct 10 2018 wally <wally> 1.8.1-1.mga7
+ Revision: 1319373
- new version 1.8.1

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-2.mga7
+ Revision: 1300388
- Mageia 7 Mass Rebuild

* Sun May 06 2018 wally <wally> 1.1.0-1.mga7
+ Revision: 1226774
- imported package psautohint

